#ifndef STAGE_H
#define STAGE_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class Stage; }
QT_END_NAMESPACE

class QSerialPort;

class Stage : public QMainWindow
{
    Q_OBJECT

public:
    Stage(QWidget *parent = nullptr);
    ~Stage();

private slots:
    void on_pushButton_clicked();
    void serial_read();
    void updatelabel(const QString sensor_reading);

private:
    Ui::Stage *ui;
    //nuevo
    QSerialPort *arduino;
    static const quint16 arduino_uno_vendor_id = 9025;
    static const quint16 arduino_uno_product_id = 66;
    QString arduino_port_name;
    bool arduino_is_available;

    QByteArray a;
    QString serialBuffer;
};
#endif // STAGE_H
